ompi/mca/pml/teg/pml_teg.h File Reference.TH "ompi/mca/pml/teg/pml_teg.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/teg/pml_teg.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'opal/threads/threads.h'\fP
.br
\fC#include 'opal/threads/condition.h'\fP
.br
\fC#include 'class/ompi_free_list.h'\fP
.br
\fC#include 'opal/util/cmd_line.h'\fP
.br
\fC#include 'request/request.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_request.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_bsend.h'\fP
.br
\fC#include 'mca/ptl/base/ptl_base_sendreq.h'\fP
.br
\fC#include 'mca/ptl/ptl.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_TEG_FINI\fP(request)"
.br
.ti -1c
.RI "#define \fBMCA_PML_TEG_FREE\fP(request)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_teg_t\fP \fBmca_pml_teg_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBmca_pml_teg_component_open\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_component_close\fP (void)"
.br
.ti -1c
.RI "\fBmca_pml_base_module_t\fP * \fBmca_pml_teg_component_init\fP (int *priority, bool enable_progress_threads, bool enable_mpi_threads)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_component_fini\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_add_comm\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_del_comm\fP (struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_add_procs\fP (struct ompi_proc_t **procs, size_t nprocs)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_del_procs\fP (struct ompi_proc_t **procs, size_t nprocs)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_enable\fP (bool enable)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_progress\fP (void)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_iprobe\fP (int dst, int tag, struct ompi_communicator_t *comm, int *matched, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_probe\fP (int dst, int tag, struct ompi_communicator_t *comm, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_cancelled\fP (\fBompi_request_t\fP *request, int *flag)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_isend_init\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_isend\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_send\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int dst, int tag, mca_pml_base_send_mode_t mode, struct ompi_communicator_t *comm)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_irecv_init\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_irecv\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, struct \fBompi_request_t\fP **request)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_recv\fP (void *buf, size_t count, struct ompi_datatype_t *datatype, int src, int tag, struct ompi_communicator_t *comm, ompi_status_public_t *status)"
.br
.ti -1c
.RI "int \fBmca_pml_teg_start\fP (size_t count, \fBompi_request_t\fP **requests)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "\fBmca_pml_teg_t\fP \fBmca_pml_teg\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_TEG_FINI(request)"
.PP
\fBValue:\fP
.PP
.nf
{ \
    mca_pml_base_request_t* pml_request = *(mca_pml_base_request_t**)(request); \
    if(pml_request->req_persistent) { \
       if(pml_request->req_free_called) { \
           MCA_PML_TEG_FREE(request); \
       } else { \
           pml_request->req_ompi.req_state = OMPI_REQUEST_INACTIVE; \
       } \
    } else { \
        MCA_PML_TEG_FREE(request); \
    } \
}
.fi
.SS "#define MCA_PML_TEG_FREE(request)"
.PP
\fBValue:\fP
.PP
.nf
{ \
    mca_pml_base_request_t* pml_request = *(mca_pml_base_request_t**)(request); \
    pml_request->req_free_called = true; \
    if( pml_request->req_pml_complete == true) \
    { \
        switch(pml_request->req_type) { \
        case MCA_PML_REQUEST_SEND: \
            { \
                mca_pml_teg_send_request_t* sendreq = (mca_pml_teg_send_request_t*)pml_request; \
                while(sendreq->req_lock > 0); \
                if(sendreq->req_send.req_send_mode == MCA_PML_BASE_SEND_BUFFERED) { \
                    mca_pml_base_bsend_request_fini((ompi_request_t*)sendreq); \
                } \
                MCA_PML_TEG_SEND_REQUEST_RETURN(sendreq); \
                break; \
            } \
        case MCA_PML_REQUEST_RECV: \
            { \
                mca_pml_teg_recv_request_t* recvreq = (mca_pml_teg_recv_request_t*)pml_request; \
                MCA_PML_TEG_RECV_REQUEST_RETURN(recvreq); \
                break; \
            } \
        default: \
            break; \
        } \
    } \
    *(request) = MPI_REQUEST_NULL; \
}
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
